用npm安装socket.io

安装了Python 2.7(3.4),并解决了一个错误。 然后,我安装了Windows 7 SDK,解决了另一个错误,但没有运气…我在这里读到,我不必安装Visual Studio以及…有人能给我一个解决scheme吗?

截图:

截图第1部分

截图第2部分

       

网上收集的解决方案 "用npm安装socket.io"

确保在上面的安装之前运行清理

npm install -g node-gyp 

你有交stream编译器安装?

你正在创build一个新的nodejs应用程序? 如果是这样,然后发出这将提示您的细节,然后为您切割一个新的package.json文件:

 npm init 

在我看来,Windows并不是最好的开发方式,我有很多使用Windows的问题(并且有同样的问题),后来我转向了Ubuntu(只是学习了更多的Linux和C) – 它有很多内置的程序所以你不必自己安装(你不会有任何问题,并得到更多的知识)。